import styles from './styles.module.scss';
import classNames from 'classnames';

export default function Avatar({ margin, marginTop, marginRight, marginLeft, marginBottom,
  src, alt, style, ...props }) {
  
  const classes = classNames({
    [styles.avatar]: true,
    [styles.small]: props.small,
    [styles.large]: props.large,
  });

  const allStyle = {
    ...(margin && { margin }),
    ...(marginTop && { marginTop: marginTop }),
    ...(marginBottom && { marginBottom: marginBottom }),
    ...(marginLeft && { marginLeft: marginLeft }),
    ...(marginRight && { marginRight: marginRight }),
    ...(style && style)
  };
  
  return (
    <div className={classes} style={allStyle} {...props}>
      <img src={src} alt={alt} />
    </div>
  );
}