import styles from './styles.module.scss';
import classNames from 'classnames';

export default function Button({ children, 
  margin, margin_top, margin_right, margin_left, margin_bottom, 
  style, ...props }) {
  
  const classes = classNames({
    [styles.button]: true,
    [styles.small]: props.size === "small",
    [styles.large]: props.size === "large",
    [styles.info]: props.type === "info",
    [styles.danger]: props.type === "danger",
    [styles.warning]: props.type === "warning",
    [styles.success]: props.type === "success",
    [styles.outline]: props.type === "outline",
    [styles.outlineInfo]: props.type === "outlineInfo",
    [styles.outlineDanger]: props.type === "outlineDanger",
    [styles.outlineWarning]: props.type === "outlineWarning",
    [styles.outlineSuccess]: props.type === "outlineSuccess",
  });

  const allStyle = {
    ...(margin && { margin }),
    ...(margin_top && { marginTop: margin_top }),
    ...(margin_bottom && { marginBottom: margin_bottom }),
    ...(margin_left && { marginLeft: margin_left }),
    ...(margin_right && { marginRight: margin_right }),
    ...(style && style)
  };
  
  return <button {...props} className={classes} style={allStyle}>{children}</button>;
}