import classNames from 'classnames';
import styles from './styles.module.scss';

export default function Container({ children, gap, 
  padding, paddingTop, paddingRight, paddingLeft, paddingBottom, 
  margin, marginTop, marginRight, marginLeft, marginBottom,
  backgroundColor, width, height, style, 
  flexGrow, ...props }) {
  
  const classes = classNames({
    
    [styles.container]: true,

    [styles.flexDirectionRow]: props.flexDirection == 'row',
    [styles.flexDirectionRowReverse]: props.flexDirection == 'rowReverse',
    [styles.flexDirectionColumn]: props.flexDirection == 'column',
    [styles.flexDirectionColumnReverse]: props.flexDirection == 'columnReverse',
    
    [styles.flexWrap]: props.flexWrap == 'wrap',
    [styles.flexWrapReverse]: props.flexWrap == 'wrapReverse',
    
    [styles.justifyContentStart]: props.justifyContent == 'start',
    [styles.justifyContentEnd]: props.justifyContent == 'end',
    [styles.justifyContentCenter]: props.justifyContent == 'center',
    [styles.justifyContentBetween]: props.justifyContent == 'between',
    [styles.justifyContentAround]: props.justifyContent == 'around',
    [styles.justifyContentEvenly]: props.justifyContent == 'evenly',

    [styles.alignItemsStart]: props.alignItems == 'start',
    [styles.alignItemsEnd]: props.alignItems == 'end',
    [styles.alignItemsCenter]: props.alignItems == 'center',
    [styles.alignItemsBaseline]: props.alignItems == 'baseline',
    [styles.alignItemsStretch]: props.alignItems == 'stretch',

    [styles.alignContentStart]: props.alignContent == 'start',
    [styles.alignContentEnd]: props.alignContent == 'end',
    [styles.alignContentCenter]: props.alignContent == 'center',
    [styles.alignContentBetween]: props.alignContent == 'between',
    [styles.alignContentAround]: props.alignContent == 'around',
    [styles.alignContentStretch]: props.alignContent == 'stretch',

    [styles.alignSelfStart]: props.alignSelf == 'start',
    [styles.alignSelfEnd]: props.alignSelf == 'end',
    [styles.alignSelfCenter]: props.alignSelf == 'center',
    [styles.alignSelfBaseline]: props.alignSelf == 'baseline',
    [styles.alignSelfStretch]: props.alignSelf == 'stretch',


    
    // Remover:
    // [styles.row]: props.row,
    // [styles.column]: props.column,
    // [styles.rowReverse]: props.rowReverse,
    // [styles.columnReverse]: props.columnReverse,
    // [styles.wrap]: props.wrap,
    // [styles.wrapReverse]: props.wrapReverse,
    // [styles.justifyStart]: props.justifyStart,
    // [styles.justifyEnd]: props.justifyEnd,
    // [styles.justifyCenter]: props.justifyCenter,
    // [styles.justifyBetween]: props.justifyBetween,
    // [styles.justifyAround]: props.justifyAround,
    // [styles.justifyEvenly]: props.justifyEvenly,
    // [styles.alignStart]: props.alignStart,
    // [styles.alignEnd]: props.alignEnd,
    // [styles.alignCenter]: props.alignCenter,
    // [styles.alignBaseline]: props.alignBaseline,
    // [styles.alignStretch]: props.alignStretch,
    // [styles.alignContentStart]: props.alignContentStart,
    // [styles.alignContentEnd]: props.alignContentEnd,
    // [styles.alignContentCenter]: props.alignContentCenter,
    // [styles.alignContentBetween]: props.alignContentBetween,
    // [styles.alignContentAround]: props.alignContentAround,
    // [styles.alignContentStretch]: props.alignContentStretch,
    // [styles.alignSelfStart]: props.alignSelfStart,
    // [styles.alignSelfEnd]: props.alignSelfEnd,
    // [styles.alignSelfCenter]: props.alignSelfCenter,
    // [styles.alignSelfBaseline]: props.alignSelfBaseline,
    // [styles.alignSelfStretch]: props.alignSelfStretch,
  });

  const allStyle = {
    ...(gap && { gap }),
    ...(padding && { padding }),
    ...(paddingTop && { paddingTop: paddingTop }),
    ...(paddingBottom && { paddingBottom: paddingBottom }),
    ...(paddingLeft && { paddingLeft: paddingLeft }),
    ...(paddingRight && { paddingRight: paddingRight }),
    ...(margin && { margin }),
    ...(marginTop && { marginTop: marginTop }),
    ...(marginBottom && { marginBottom: marginBottom }),
    ...(marginLeft && { marginLeft: marginLeft }),
    ...(marginRight && { marginRight: marginRight }),
    ...(backgroundColor && { backgroundColor }),
    ...(width && { width }),
    ...(height && { height }),
    ...(flexGrow && { flexGrow }),
    ...(style && { ...style })
  };

  return (
    <div className={classes} style={allStyle}>
      {children}
    </div>
  )
}
