import { useState } from 'react';
import styles from './styles.module.scss';

export default function Drawer({ direction, children, ...props }){

  const [isOpen, setIsOpen] = useState(false);

  const toggleDrawer = () => {
    setIsOpen(!isOpen);
  };

  return (
    <div className={`styles.drawer ${isOpen ? 'open' : ''} ${direction}`}>
      <button className={styles.toggleButton} onClick={toggleDrawer}>
        Toggle Drawer
      </button>
      <div className={styles.drawerContent}>
        {children}
      </div>
    </div>
  );
}