import classNames from 'classnames';
import styles from './styles.module.scss';

export default function FormItem({ children, style, ...props }) {
  
  const classes = classNames({
    [styles.formItem]: true,
    [styles.row]: props.row,
    [styles.column]: props.column,
    [styles.rowReverse]: props.rowReverse,
    [styles.columnReverse]: props.columnReverse,
    [styles.wrap]: props.wrap,
    [styles.wrapReverse]: props.wrapReverse,
    [styles.justifyStart]: props.justifyStart,
    [styles.justifyEnd]: props.justifyEnd,
    [styles.justifyCenter]: props.justifyCenter,
    [styles.justifyBetween]: props.justifyBetween,
    [styles.justifyAround]: props.justifyAround,
    [styles.justifyEvenly]: props.justifyEvenly,
    [styles.alignStart]: props.alignStart,
    [styles.alignEnd]: props.alignEnd,
    [styles.alignCenter]: props.alignCenter,
    [styles.alignBaseline]: props.alignBaseline,
    [styles.alignStretch]: props.alignStretch,
    [styles.alignContentStart]: props.alignContentStart,
    [styles.alignContentEnd]: props.alignContentEnd,
    [styles.alignContentCenter]: props.alignContentCenter,
    [styles.alignContentBetween]: props.alignContentBetween,
    [styles.alignContentAround]: props.alignContentAround,
    [styles.alignContentStretch]: props.alignContentStretch,
    [styles.alignSelfStart]: props.alignSelfStart,
    [styles.alignSelfEnd]: props.alignSelfEnd,
    [styles.alignSelfCenter]: props.alignSelfCenter,
    [styles.alignSelfBaseline]: props.alignSelfBaseline,
    [styles.alignSelfStretch]: props.alignSelfStretch,
  });
  
  return <div className={classes} style={style} {...props}>{children}</div>
}