import classNames from 'classnames';
import styles from './styles.module.scss';

export default function Label({ children, 
  margin, marginTop, marginRight, marginLeft, marginBottom, 
  style, ...props }) {

  const classes = classNames({
    [styles.label]: true, 
    [styles.info]:    props.type === "info",
    [styles.danger]:  props.type === "danger",
    [styles.success]: props.type === "success",
    [styles.warning]: props.type === "warning"
  });

  const allStyle = {
    ...(margin && { margin }),
    ...(marginTop && { marginTop: marginTop }),
    ...(marginBottom && { marginBottom: marginBottom }),
    ...(marginLeft && { marginLeft: marginLeft }),
    ...(marginRight && { marginRight: marginRight }),
    ...(style && style)
  };

  return <label {...props} className={classes} style={allStyle}>{children}</label>
}