import styles from "./styles.module.scss";
import classNames from "classnames";
import Image from "next/image";
import { useState } from "react";

export default function Message({ margin, marginTop, marginRight, marginLeft, marginBottom,
  children, onClose, style, ...props }) {
  
  const [mostrar, setMostrar] = useState(true);

  const fecharMensagem = () => {
    setMostrar(false);
  };

  const classes = classNames({
    [styles.message]: true, 
    [styles.info]: props.type === "info",
    [styles.danger]: props.type === "danger",
    [styles.success]: props.type === "success",
    [styles.warning]: props.type === "warning"
  });

  const allStyle = {
    ...(margin && { margin }),
    ...(marginTop && { marginTop: marginTop }),
    ...(marginBottom && { marginBottom: marginBottom }),
    ...(marginLeft && { marginLeft: marginLeft }),
    ...(marginRight && { marginRight: marginRight }),
    ...(style && style)
  };

  let icon = "./info.svg";
  if (props.info) icon = "./info.svg";
  else if (props.danger) icon = "./danger.svg";
  else if (props.success) icon = "./success.svg";
  else if (props.warning) icon = "./warning.svg";
  // TODO: alterar cor do ícone da mensagem de warning

  return mostrar ? (
    <div className={classes} style={allStyle} {...props}>
      <span>
        <Image src={require(`${icon}`)} alt="" width="24" height="24" />
        {children}
      </span>
      <button onClick={fecharMensagem} title="Fechar mensagem">
        <Image 
          src={require(`./close.svg`)} 
          alt="" 
          width="24" 
          height="24" 
          className={styles.iconClose} />
      </button>
    </div>
  ) : null;
}