import { Controller } from 'react-hook-form';
import styles from "./styles.module.scss";
import { useEffect } from 'react';

export default function Radio({ margin, marginTop, marginRight, marginLeft, marginBottom, 
  name, errors, rules,
  checked, label, value, control, defaultValue,
  style, ...props }) {

  const allStyle = {
    ...(margin && { margin }),
    ...(marginTop && { marginTop: marginTop }),
    ...(marginBottom && { marginBottom: marginBottom }),
    ...(marginLeft && { marginLeft: marginLeft }),
    ...(marginRight && { marginRight: marginRight }),
    ...(style && style)
  };

  return (
    <>
      <label className={styles.radio}>
        <Controller
          name={name}
          control={control}
          defaultValue={defaultValue}
          render={({ field }) => (
            <input
              type="radio"
              name={name}
              value={value}
              onChange={(e) => {
                field.onChange(e.target.value);
              }}
              defaultChecked={field.value === value}
            />
          )}
        />
        <span className={styles.checkmark}></span>
        <span className={styles.label}>{label}</span>
      </label>
      {errors && errors[name] && <span>{errors[name].message}</span>}
    </>
  );
};