import styles from './styles.module.scss';
import classNames from 'classnames';

export default function TabContent ({ margin, margin_top, margin_right, margin_left, margin_bottom, 
  children, style, active, ...props}) {

  const classes = classNames({
    [styles.tabContent]: true,
    [styles.active]: active,
  });

  const allStyle = {
    ...(margin && { margin }),
    ...(margin_top && { marginTop: margin_top }),
    ...(margin_bottom && { marginBottom: margin_bottom }),
    ...(margin_left && { marginLeft: margin_left }),
    ...(margin_right && { marginRight: margin_right }),
    ...(style && style)
  }

  return (
    <div className={classes} {...props} style={allStyle}>
      {children}
    </div>
  );
}