import styles from './styles.module.scss';
import classNames from 'classnames';

export default function TabItem({ margin, margin_top, margin_right, margin_left, margin_bottom, 
  children, style, ...props }) {
  
  const classes = classNames({
    [styles.tabItem]: true,
    [styles.active]: props.active,
  });

  const allStyle = {
    ...(margin && { margin }),
    ...(margin_top && { marginTop: margin_top }),
    ...(margin_bottom && { marginBottom: margin_bottom }),
    ...(margin_left && { marginLeft: margin_left }),
    ...(margin_right && { marginRight: margin_right }),
    ...(style && style)
  }
  
  return (
    <div className={classes} {...props} style={allStyle}>
      {children}
    </div>
  );
}
