import styles from './styles.module.scss';
import classNames from 'classnames';

export default function Tag({ margin, marginTop, marginRight, marginLeft, marginBottom,
  children, style, ...props }) {
  
  const classes = classNames({
    [styles.tag]: true,
    [styles.info]: props.type === "info",
    [styles.danger]: props.type === "danger",
    [styles.success]: props.type === "success",
    [styles.warning]: props.type === "warning",
  });
  
  const allStyle = {
    ...(margin && { margin }),
    ...(marginTop && { marginTop: marginTop }),
    ...(marginBottom && { marginBottom: marginBottom }),
    ...(marginLeft && { marginLeft: marginLeft }),
    ...(marginRight && { marginRight: marginRight }),
    ...(style && style)
  };

  return (
    <span className={classes} style={allStyle} {...props}>{children}</span>
  );
}