import styles from "./styles.module.scss";
import classNames from "classnames";

export default function Text({ children, as, 
  padding, padding_top, padding_right, padding_left, padding_bottom, 
  margin, margin_top, margin_right, margin_left, margin_bottom, 
  style, ...props }) {
  
  const Component = `${as || "p"}`;
  let ComponentStyles = "";

  if (as === "h1") {
    ComponentStyles = styles.h1;
  } else if (as === "h2") {
    ComponentStyles = styles.h2;
  } else if (as === "h3") {
    ComponentStyles = styles.h3;
  } else if (as === "h4") {
    ComponentStyles = styles.h4;
  } else if (as === "h5") {
    ComponentStyles = styles.h5;
  } else if (as === "h6") {
    ComponentStyles = styles.h6;
  } else if (as === "p") {
    ComponentStyles = styles.p;
  } 

  const className = classNames({
    [styles.text]: true,
    [ComponentStyles]: ComponentStyles !== undefined,
  });
  
  const allStyle = {
    ...(padding && { padding }),
    ...(padding_top && { paddingTop: padding_top }),
    ...(padding_bottom && { paddingBottom: padding_bottom }),
    ...(padding_left && { paddingLeft: padding_left }),
    ...(padding_right && { paddingRight: padding_right }),
    ...(margin && { margin }),
    ...(margin_top && { marginTop: margin_top }),
    ...(margin_bottom && { marginBottom: margin_bottom }),
    ...(margin_left && { marginLeft: margin_left }),
    ...(margin_right && { marginRight: margin_right }),
    ...(style && style )
  };
  
  return (
    <Component className={className} style={allStyle} {...props}>{children}</Component>
  );
}