import Code from "@/components/Code";
import Container from "@/components/Container";
import Message from "@/components/Message";
import Text from "@/components/Text";
import MenuItems from "@/util/menuItems";

export default function ContainerPage(){

  return(
    <Container flexDirection="row">
    <MenuItems />
    <Container margin="1rem" flexGrow="1">
      
      {/* Seção principal */}
      <Text as="h1" margin="0">Componente Container</Text>
      <Text as="p" margin="1rem 0">O componente Message permite apresentar uma mensage de informação. Por padrão, utilza a cor primária definida no tema</Text>
      <Container style={{ border: '1px solid black'}} padding=".5rem">
        <Container>Conteudo do container</Container>
      </Container>
      <Container style={{ border: '1px solid black', borderTop: '0', backgroundColor: '#f5f2f0' }}>
        <Code language="javascript">
{`import Container from "@/components/Container";

<Container>Conteudo do container</Container>`}
        </Code>
      </Container>

      {/* Seção customização */}
      <Text as="h2" margin="0" margin_top="1rem">Customização</Text>
      <Text as="p" margin="1rem 0">O componente Message permite definir propriedades do Flexbox:</Text>
      <Container style={{ border: '1px solid black'}} padding=".5rem">
        <Container flexDirection="row">
          <Container style={{ border: '1px solid black'}} padding="1rem">Conteudo do container 1</Container>
          <Container style={{ border: '1px solid black'}} padding="1rem" marginLeft="1rem">Conteudo do container 2</Container>
        </Container>
      </Container>
      <Container style={{ border: '1px solid black', borderTop: '0', backgroundColor: '#f5f2f0' }}>
        <Code language="javascript">
{`import Container from "@/components/Container";

<Container flexDirection="row">
  <Container style={{ border: '1px solid black'}} padding="1rem">Conteudo do container 1</Container>
  <Container style={{ border: '1px solid black'}} padding="1rem" marginLeft="1rem">Conteudo do container 2</Container>
</Container>`}
        </Code>
      </Container>

      <Text as="p" margin="1rem 0">As seguintes propridades flexbox podem ser informadas como parâmetro:</Text>
        <ul style={{ marginLeft: '1rem', lineHeight: '2'}}>
          <li><b>flexDirection</b>: row, rowReverse, column, columnReverse</li>
          <li><b>flexWrap</b>: wrap, wrapReverse</li>
          <li><b>justifyContent</b>: start, end, center, between, around, evenly</li>
          <li><b>aligItems</b>: start, end, center, baseline, stretch</li>
          <li><b>alignContent</b>: start, end, center, between, around, stretch</li>
          <li><b>alingSelf</b>: start, end, center, baseline, stretch</li>
          <li><b>gap</b></li>
          <li><b>flexGrow</b></li>
        </ul>

      <Text as="p" margin="1rem 0">As seguintes propridades podem ser informadas como parâmetro:</Text>
        <ul style={{ marginLeft: '1rem', lineHeight: '2'}}>
          <li><b>width</b></li>
          <li><b>height</b></li>
          <li><b>backgroundColor</b></li>
          <li><b>padding</b></li>
          <li><b>paddingTop</b></li>
          <li><b>paddingBottom</b></li>
          <li><b>paddingLeft</b></li>
          <li><b>paddingRight</b></li>
          <li><b>margin</b></li>
          <li><b>marginTop</b></li>
          <li><b>marginBottom</b></li>
          <li><b>marginLeft</b></li>
          <li><b>marginRight</b></li>
        </ul>

    </Container>
  </Container>
  )
}