import Code from "@/components/Code";
import Container from "@/components/Container";
import Message from "@/components/Message";
import Text from "@/components/Text";
import MenuItems from "@/util/menuItems";

export default function FormGroupPage(){

  return(
    <Container flexDirection="row">
    <MenuItems />
    <Container margin="1rem" flexGrow="1">
      
      {/* Seção principal */}
      <Text as="h1" margin="0">Componente FormGroup</Text>
      <Text as="p" margin="1rem 0">O componente Message permite apresentar uma mensage de informação. Por padrão, utilza a cor primária definida no tema</Text>
      <Container style={{ border: '1px solid black'}} padding=".5rem">
        <Message>Informação</Message>
      </Container>
      <Container style={{ border: '1px solid black', borderTop: '0', backgroundColor: '#f5f2f0' }}>
        <Code language="javascript">
{`import Message from "@/components/Message";

<Message>Informação</Message>`}
        </Code>
      </Container>

      {/* Seção customização */}
      <Text as="h2" margin="0" margin_top="1rem">Customização</Text>
      <Text as="p" margin="1rem 0">O componente Message permite definir as seguintes propriedades, que utilizam as cores padrão do tema:</Text>
      <Container style={{ border: '1px solid black'}} padding=".5rem">
        <Message info>Mensagem de informação</Message>
        <Message danger>Mensagem de erro</Message>
        <Message success>Mensagem de sucesso</Message>
        <Message warning>Mensagem de warning</Message>
      </Container>
      <Container style={{ border: '1px solid black', borderTop: '0', backgroundColor: '#f5f2f0' }}>
        <Code language="javascript">
{`import Message from "@/components/Message";

<Message info>Mensagem de informação</Message>
<Message danger>Mensagem de erro</Message>
<Message success>Mensagem de sucesso</Message>
<Message warning>Mensagem de warning</Message>`}
        </Code>
      </Container>
      <Text as="p" margin="1rem 0">As seguintes propridades podem ser informadas como parâmetro:</Text>
        <ul style={{ marginLeft: '1rem', lineHeight: '2'}}>
          <li>margin</li>
          <li>marginTop</li>
          <li>marginRight</li>
          <li>marginBottom</li>
          <li>marginLeft</li>
        </ul> 

    </Container>
  </Container>
  )
}