import Code from "@/components/Code";
import Container from "@/components/Container";
import Message from "@/components/Message";
import Spinner from "@/components/Spinner";
import Text from "@/components/Text";
import MenuItems from "@/util/menuItems";

export default function SpinnerPage(){

  return(
    <Container flexDirection="row">
    <MenuItems />
    <Container margin="1rem" flexGrow="1">
      
      {/* Seção principal */}
      <Text as="h1" margin="0">Componente Spinner</Text>
      <Text as="p" margin="1rem 0">O componente Spinner permite apresentar uma mensage de informação. Por padrão, utilza a cor primária definida no tema</Text>
      <Container style={{ border: '1px solid black'}} padding=".5rem" row>
        <Spinner /> 
      </Container>
      <Container style={{ border: '1px solid black', borderTop: '0', backgroundColor: '#f5f2f0' }}>
        <Code language="javascript">
{`import Spinner from "@/components/Spinner";

<Spinner /> `}
        </Code>
      </Container>

      <Text as="p" margin="1rem 0">O componente Spinner permite definir as seguintes propriedades, que utilizam as cores padrão do tema:</Text>
      <Container style={{ border: '1px solid black'}} padding=".5rem" row>
        <Spinner type="info" />
        <Spinner type="danger" />
        <Spinner type="success" />
        <Spinner type="warning" />
      </Container>
      <Container style={{ border: '1px solid black', borderTop: '0', backgroundColor: '#f5f2f0' }}>
        <Code language="javascript">
{`import Spinner from "@/components/Spinner";

<Spinner type="info" />
<Spinner type="danger" />
<Spinner type="success" />
<Spinner type="warning" />`}
        </Code>
      </Container>      

      <Text as="p" margin="1rem 0">O componente Spinner permite definir as seguintes propriedades, que utilizam as cores padrão do tema:</Text>
      <Container style={{ border: '1px solid black'}} padding=".5rem" row>
        <Spinner size="small" />
        <Spinner  />
        <Spinner size="large" />
      </Container>
      <Container style={{ border: '1px solid black', borderTop: '0', backgroundColor: '#f5f2f0' }}>
        <Code language="javascript">
{`import Spinner from "@/components/Spinner";

<Spinner size="small" />
<Spinner  />
<Spinner size="large" />`}
        </Code>
      </Container> 

      {/* Seção customização */}
      <Text as="h2" margin="0" margin_top="1rem">Customização</Text>
      <Text as="p" margin="1rem 0">O componente Spinner permite definir as seguintes propriedades, que utilizam as cores padrão do tema:</Text>
      <Container style={{ border: '1px solid black'}} padding=".5rem">
        <Spinner />
      </Container>
      <Container style={{ border: '1px solid black', borderTop: '0', backgroundColor: '#f5f2f0' }}>
        <Code language="javascript">
{`import Spinner from "@/components/Spinner";

<Spinner />`}
        </Code>
      </Container>
      <Text as="p" margin="1rem 0">As seguintes propridades podem ser informadas como parâmetro:</Text>
        <ul style={{ marginLeft: '1rem', lineHeight: '2'}}>
          <li>margin</li>
          <li>marginTop</li>
          <li>marginRight</li>
          <li>marginBottom</li>
          <li>marginLeft</li>
        </ul>
        
    </Container>
  </Container>
  )
}