import Code from "@/components/Code";
import Container from "@/components/Container";
import Tab from "@/components/Tab";
import TabContent from "@/components/TabContent";
import TabItem from "@/components/TabItem";
import Text from "@/components/Text";
import MenuItems from "@/util/menuItems";
import { useState } from "react";

export default function TabPage(){

  const [activeTab, setActiveTab] = useState(1);

  return(
    <Container flexDirection="row">
    <MenuItems />
    <Container margin="1rem" flexGrow="1">
      
      {/* Seção principal */}
      <Text as="h1" margin="0">Componente Tab</Text>
      <Text as="p" margin="1rem 0">O componente Tab permite apresentar uma mensage de informação. Por padrão, utilza a cor primária definida no tema</Text>
      <Container style={{ border: '1px solid black'}} padding=".5rem">
        <Tab>
          <TabItem onClick={e => setActiveTab(1)} active={activeTab === 1 ? true : false}>Aba 1</TabItem>
          <TabItem onClick={e => setActiveTab(2)} active={activeTab === 2 ? true : false}>Aba 2</TabItem>
          <TabItem onClick={e => setActiveTab(3)} active={activeTab === 3 ? true : false}>Aba 3</TabItem>
        </Tab>
        <TabContent active={activeTab == 1 ? true : false}>
          Conteúdo da aba 1
        </TabContent>
        <TabContent active={activeTab == 2 ? true : false}>
          Conteúdo da aba 2
        </TabContent>
        <TabContent active={activeTab == 3 ? true : false}>
          Conteúdo da aba 3
        </TabContent>
      </Container>
      <Container style={{ border: '1px solid black', borderTop: '0', backgroundColor: '#f5f2f0' }}>
        <Code language="javascript">
{`import Tab from "@/components/Tab";
import TabContent from "@/components/TabContent";
import TabItem from "@/components/TabItem";

const [activeTab, setActiveTab] = useState(1);

<Tab>
  <TabItem onClick={e => setActiveTab(1)} active={activeTab === 1 ? true : false}>Aba 1</TabItem>
  <TabItem onClick={e => setActiveTab(2)} active={activeTab === 2 ? true : false}>Aba 2</TabItem>
  <TabItem onClick={e => setActiveTab(3)} active={activeTab === 3 ? true : false}>Aba 3</TabItem>
</Tab>
<TabContent active={activeTab == 1 ? true : false}>
  Conteúdo da aba 1
</TabContent>
<TabContent active={activeTab == 2 ? true : false}>
  Conteúdo da aba 2
</TabContent>
<TabContent active={activeTab == 3 ? true : false}>
  Conteúdo da aba 3
</TabContent>`}
        </Code>
      </Container>

      {/* Seção customização */}
      <Text as="h2" margin="0" margin_top="1rem">Customização</Text>
      <Text as="p" margin="1rem 0">O componente Message permite definir as seguintes propriedades, que utilizam as cores padrão do tema:</Text>
      <Container style={{ border: '1px solid black'}} padding=".5rem">
        
      </Container>
      <Container style={{ border: '1px solid black', borderTop: '0', backgroundColor: '#f5f2f0' }}>
        <Code language="javascript">
{`import Message from "@/components/Message";

`}
        </Code>
      </Container>
      <Text as="p" margin="1rem 0">As seguintes propridades podem ser informadas como parâmetro:</Text>
        <ul style={{ marginLeft: '1rem', lineHeight: '2'}}>
          <li>margin</li>
          <li>marginTop</li>
          <li>marginRight</li>
          <li>marginBottom</li>
          <li>marginLeft</li>
        </ul> 

    </Container>
  </Container>
  )
}