import Code from "@/components/Code";
import Container from "@/components/Container";
import Text from "@/components/Text";

import Table from "@/components/Table";
import Tbody from "@/components/Tbody";
import Thead from "@/components/Thead";
import Td from "@/components/Td";
import Th from "@/components/Th";
import Tr from "@/components/Tr";
import MenuItems from "@/util/menuItems";

export default function TablePage(){

  return(
    <Container flexDirection="row">
    <MenuItems />
    <Container margin="1rem" flexGrow="1">
      
      {/* Seção principal */}
      <Text as="h1" margin="0">Componente Table</Text>
      <Text as="p" margin="1rem 0">O componente Message permite apresentar uma mensage de informação. Por padrão, utilza a cor primária definida no tema</Text>
      <Container style={{ border: '1px solid black'}} padding=".5rem">
        <Table>
          <Thead>
            <Tr>
              <Th>Id</Th>
              <Th>Nome</Th>
              <Th>E-mail</Th>
            </Tr>
          </Thead>
          <Tbody>
            <Tr>
              <Td>1</Td>
              <Td>João</Td>
              <Td>joao@gmail.com</Td>
            </Tr>
            <Tr>
              <Td>2</Td>
              <Td>Maria</Td>
              <Td>maria@gmail.com</Td>
            </Tr>
            <Tr>
              <Td>3</Td>
              <Td>José</Td>
              <Td>jose@gmail.com</Td>
            </Tr>
          </Tbody>
        </Table>        
      </Container>
      <Container style={{ border: '1px solid black', borderTop: '0', backgroundColor: '#f5f2f0' }}>
        <Code language="javascript">
{`import Table from "@/components/Table";
import Tbody from "@/components/Tbody";
import Thead from "@/components/Thead";
import Td from "@/components/Td";
import Th from "@/components/Th";
import Tr from "@/components/Tr";

<Table>
  <Thead>
    <Tr>
      <Th>Id</Th>
      <Th>Nome</Th>
      <Th>E-mail</Th>
    </Tr>
  </Thead>
  <Tbody>
    <Tr>
      <Td>1</Td>
      <Td>João</Td>
      <Td>joao@gmail.com</Td>
    </Tr>
    <Tr>
      <Td>2</Td>
      <Td>Maria</Td>
      <Td>maria@gmail.com</Td>
    </Tr>
    <Tr>
      <Td>3</Td>
      <Td>José</Td>
      <Td>jose@gmail.com</Td>
    </Tr>
  </Tbody>
</Table> `}
        </Code>
      </Container>

      {/* Seção customização */}
      <Text as="h2" margin="0" margin_top="1rem">Customização</Text>
      <Text as="p" margin="1rem 0">As seguintes propridades podem ser informadas como parâmetro:</Text>
        <ul style={{ marginLeft: '1rem', lineHeight: '2'}}>
          <li>margin</li>
          <li>marginTop</li>
          <li>marginRight</li>
          <li>marginBottom</li>
          <li>marginLeft</li>
        </ul> 

    </Container>
  </Container>
  )
}